﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO;


namespace NetAdvantage_Reporting_in_WinForms
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            this.LoadData();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            this.LoadData();
        }

        private void LoadData()
        {
            //Add dummy data to the chart control:
            this.ultraChart1.Data.DataSource = 
                Infragistics.UltraChart.Data.DemoTable.AllPositive();
            this.ultraChart1.Data.DataBind();

            //Dump an image of the chart control:
            this.ultraChart1.SaveTo(
                Application.StartupPath + @"\Images\A.jpg", 
                System.Drawing.Imaging.ImageFormat.Jpeg);

            //Render the report:
            this.ultraReportViewer1.RefreshReport();
        }

    }
}
